import "@less/components/UiReactTestComponent.less";
import { UiComponentConfig } from "../generated/UiComponentConfig";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { AbstractUiComponent } from "./AbstractUiComponent";
import { UiReactViewCommandHandler, UiReactViewConfig } from "../generated/UiReactViewConfig";
export declare class UiReactView extends AbstractUiComponent<UiReactViewConfig> implements UiReactViewCommandHandler {
    private $main;
    private refs;
    constructor(config: UiComponentConfig, context: TeamAppsUiContext);
    private update;
    protected doGetMainElement(): HTMLElement;
    addComponent(refName: string, component: unknown): void;
    removeComponent(component: unknown): void;
    setProp(propName: string, value: string): void;
}
